Index: LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phyetat0.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phyetat0.F90	(revision 3067)
+++ LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phyetat0.F90	(revision 3081)
@@ -18,5 +18,6 @@
        wake_deltat, wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
        wake_s, wake_dens, zgam, zmax0, zmea, zpic, zsig, &
-       zstd, zthe, zval, ale_bl, ale_bl_trig, alp_bl, u10m, v10m, treedrg
+       zstd, zthe, zval, ale_bl, ale_bl_trig, alp_bl, u10m, v10m, treedrg, &
+       ale_wake, ale_bl_stat
 !FC
   USE geometry_mod, ONLY : longitude_deg, latitude_deg
@@ -419,4 +420,6 @@
   found=phyetat0_get(1,ale_bl_trig,"ALE_BL_TRIG","ALE BL_TRIG",0.)
   found=phyetat0_get(1,alp_bl,"ALP_BL","ALP BL",0.)
+  found=phyetat0_get(1,ale_wake,"ALE_WAKE","ALE_WAKE",0.)
+  found=phyetat0_get(1,ale_bl_stat,"ALE_BL_STAT","ALE_BL_STAT",0.)
 
 !===========================================
Index: LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phyredem.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phyredem.F90	(revision 3067)
+++ LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phyredem.F90	(revision 3081)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE phyredem (fichnom)
 !
@@ -21,5 +24,6 @@
                                 wake_cstar,                                  &
                                 wake_pe, wake_fip, fm_therm, entr_therm,     &
-                                detr_therm, Ale_bl, Ale_bl_trig, Alp_bl,     &
+                                detr_therm, ale_bl, ale_bl_trig, alp_bl,     &
+                                ale_wake, ale_bl_stat,                       &
                                 du_gwd_rando, du_gwd_front, u10m, v10m,      &
                                 treedrg
@@ -282,9 +286,14 @@
   CALL put_field("DETR_THERM", "DETR_THERM", detr_therm)
 
-  CALL put_field("ALE_BL", "ALE_BL", Ale_bl)
-
-  CALL put_field("ALE_BL_TRIG", "ALE_BL_TRIG", Ale_bl_trig)
-
-  CALL put_field("ALP_BL", "ALP_BL", Alp_bl)
+  CALL put_field("ALE_BL", "ALE_BL", ale_bl)
+
+  CALL put_field("ALE_BL_TRIG", "ALE_BL_TRIG", ale_bl_trig)
+
+  CALL put_field("ALP_BL", "ALP_BL", alp_bl)
+
+  CALL put_field("ALE_WAKE", "ALE_WAKE", ale_wake)
+
+  CALL put_field("ALE_BL_STAT", "ALE_BL_STAT", ale_bl_stat)
+
 
   ! trs from traclmdz_mod
Index: LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_local_var_mod.F90	(revision 3067)
+++ LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_local_var_mod.F90	(revision 3081)
@@ -261,6 +261,6 @@
 !!
 !!         Wake variables
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: ale_wake, alp_wake
-!$OMP THREADPRIVATE(ale_wake, alp_wake)           
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: alp_wake
+!$OMP THREADPRIVATE(alp_wake)           
 !!jyg!      REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: wake_h,wake_k
       REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: wake_h
@@ -372,6 +372,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: weak_inversion
 !$OMP THREADPRIVATE(weak_inversion)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: ale_bl_stat,alp_bl_conv,alp_bl_det
-!$OMP THREADPRIVATE(ale_bl_stat,alp_bl_conv,alp_bl_det)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: alp_bl_conv,alp_bl_det
+!$OMP THREADPRIVATE(alp_bl_conv,alp_bl_det)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: alp_bl_fluct_m,alp_bl_fluct_tke
 !$OMP THREADPRIVATE(alp_bl_fluct_m,alp_bl_fluct_tke)
@@ -644,6 +644,5 @@
 !!
 !!          Wake variables
-      ALLOCATE(ale_wake(klon), alp_wake(klon))
-      ale_wake(:)=0.
+      ALLOCATE(alp_wake(klon))
       ALLOCATE(wake_h(klon),wake_k(klon))
       ALLOCATE(wake_omg(klon, klev))
@@ -702,5 +701,5 @@
       ALLOCATE(t2m_min_mon(klon), t2m_max_mon(klon))
       ALLOCATE(sens(klon), flwp(klon), fiwp(klon))
-      ALLOCATE(ale_bl_stat(klon), alp_bl_conv(klon), alp_bl_det(klon))
+      ALLOCATE(alp_bl_conv(klon), alp_bl_det(klon))
       ALLOCATE(alp_bl_fluct_m(klon), alp_bl_fluct_tke(klon))
       ALLOCATE(alp_bl_stat(klon), n2(klon), s2(klon))
@@ -918,5 +917,5 @@
       DEALLOCATE(ptstar, pt0, slp)
 !
-      DEALLOCATE(ale_wake, alp_wake)
+      DEALLOCATE(alp_wake)
       DEALLOCATE(wake_h,wake_k)
       DEALLOCATE(wake_omg)
@@ -972,5 +971,5 @@
       DEALLOCATE(t2m_min_mon, t2m_max_mon)
       DEALLOCATE(sens, flwp, fiwp)
-      DEALLOCATE(ale_bl_stat,alp_bl_conv,alp_bl_det)
+      DEALLOCATE(alp_bl_conv,alp_bl_det)
       DEALLOCATE(alp_bl_fluct_m,alp_bl_fluct_tke)
       DEALLOCATE(alp_bl_stat, n2, s2)
Index: LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_output_write_mod.F90	(revision 3067)
+++ LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_output_write_mod.F90	(revision 3081)
@@ -221,4 +221,5 @@
          alp, cin, wake_pe, wake_s, wake_deltat, &
          wake_deltaq, ftd, fqd, ale_bl_trig, albsol1, &
+         ale_wake, ale_bl_stat, &
          rnebcon, wo, falb1, albsol2, coefh, clwcon0, &
          ratqs, entr_therm, zqasc, detr_therm, f0, &
@@ -249,5 +250,5 @@
          s_pblh, s_pblt, s_lcl, s_therm, uwriteSTD, &
          vwriteSTD, wwriteSTD, phiwriteSTD, qwriteSTD, &
-         twriteSTD, ale_wake, alp_wake, &
+         twriteSTD, alp_wake, &
          dtvdf_x    ,dtvdf_w    ,dqvdf_x    ,dqvdf_w    , &
          sens_x     ,sens_w     ,zxfluxlat_x,zxfluxlat_w, &
@@ -257,5 +258,5 @@
          wake_omg, d_t_wake, d_q_wake, Vprecip, &
          wdtrainA, wdtrainM, n2, s2, proba_notrig, &
-         random_notrig, ale_bl_stat, &
+         random_notrig, &
          alp_bl_det, alp_bl_fluct_m, alp_bl_conv, &
          alp_bl_stat, alp_bl_fluct_tke, slab_wfbils, &
Index: LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_state_var_mod.F90	(revision 3067)
+++ LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/phys_state_var_mod.F90	(revision 3081)
@@ -236,4 +236,8 @@
       REAL,ALLOCATABLE,SAVE :: wght_th(:,:)
 !$OMP THREADPRIVATE(wght_th)
+      REAL,ALLOCATABLE,SAVE    :: ale_wake(:)
+!$OMP THREADPRIVATE(ale_wake)
+      REAL,ALLOCATABLE,SAVE    :: ale_bl_stat(:)
+!$OMP THREADPRIVATE(ale_bl_stat)
 !
 ! variables de la wake
@@ -527,4 +531,6 @@
       ALLOCATE(ftd(klon,klev), fqd(klon,klev))
       ALLOCATE(Ale_bl(klon))
+      ALLOCATE(ale_wake(klon))
+      ALLOCATE(ale_bl_stat(klon))
       ALLOCATE(Alp_bl(klon))
       ALLOCATE(lalim_conv(klon))
@@ -670,4 +676,6 @@
       deallocate(ftd, fqd)
       deallocate(Ale_bl, Alp_bl)
+      deallocate(ale_wake)
+      deallocate(ale_bl_stat)
       deallocate(lalim_conv, wght_th)
       deallocate(wake_deltat, wake_deltaq)
Index: LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/physiq_mod.F90	(revision 3067)
+++ LMDZ6/branches/IPSLCM6.0.13/libf/phylmd/physiq_mod.F90	(revision 3081)
@@ -144,5 +144,5 @@
        !
        wake_k, &
-       ale_wake, alp_wake, & 
+       alp_wake, & 
        wake_h, wake_omg, &
                        ! tendencies of delta T and delta q:
@@ -160,5 +160,5 @@
        wbeff, convoccur, zmax_th, &
        sens, flwp, fiwp,  &
-       ale_bl_stat,alp_bl_conv,alp_bl_det,  &
+       alp_bl_conv,alp_bl_det,  &
        alp_bl_fluct_m,alp_bl_fluct_tke,  &
        alp_bl_stat, n2, s2,  &