Index: LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3117)
+++ LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3121)
@@ -65,7 +65,7 @@
    <field id="CMIP6_clhcalipso"    field_ref="pclhcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 220hPa -->
    <field id="CMIP6_cli"           field_ref="iwcon"            /> <!-- P1 (kg kg-1) mass_fraction_of_cloud_ice_in_air : Includes both large-scale and convective cloud. This is calculated as the mass of cloud ice in the grid cell divided by the mass of air (including the water in all phases) in the grid cell. It includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
-   <field id="CMIP6_clic"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_convective_cloud_ice_in_air : Calculated as the mass of convective cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clic"          field_ref="icc3dcon"        /> <!-- P2 (1.0) mass_fraction_of_convective_cloud_ice_in_air : Calculated as the mass of convective cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_climodis"      field_ref="climodis"         /> <!-- P1 (%) ice_cloud_area_fraction : MODIS Ice Cloud Area Percentage -->
-   <field id="CMIP6_clis"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_stratiform_cloud_ice_in_air : Calculated as the mass of stratiform cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clis"          field_ref="icc3dstra"        /> <!-- P2 (1.0) mass_fraction_of_stratiform_cloud_ice_in_air : Calculated as the mass of stratiform cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_clisccp"       field_ref="clisccp2"         /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in optical depth categories. -->
    <field id="CMIP6_clivi"         field_ref="iwp"              /> <!-- P1 (kg m-2) atmosphere_cloud_ice_content : mass of ice water in the column divided by the area of the column (not just the area of the cloudy portion of the column). Includes precipitating frozen hydrometeors ONLY if the precipitating hydrometeor affects the calculation of radiative transfer in model. -->
Index: LMDZ6/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 3117)
+++ LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 3121)
@@ -568,4 +568,6 @@
         <field id="lcc3dcon"    long_name="Convective cloud liquid fraction"    unit="1" />
         <field id="lcc3dstra"    long_name="Stratiform cloud liquid fraction"    unit="1" />
+        <field id="icc3dcon"    long_name="Mass Fraction of Convective Cloud Ice"    unit="kg/kg" />
+        <field id="icc3dstra"    long_name="Mass Fraction of Stratiform Cloud Ice "    unit="kg/kg" />
         <field id="clwcon"    long_name="Convective Cloud Liquid water content"    unit="kg/kg" />
         <field id="Ma"    long_name="undilute adiab updraft"    unit="kg/m2/s" />
Index: LMDZ6/trunk/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 3117)
+++ LMDZ6/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 3121)
@@ -499,4 +499,6 @@
                 <field field_ref="lcc3dcon" level="10" />
                 <field field_ref="lcc3dstra" level="10" />
+                <field field_ref="icc3dcon" level="10" />
+                <field field_ref="icc3dstra" level="10" />
                 <field field_ref="clwcon" level="10" />
                 <field field_ref="Ma" level="10" />
Index: LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3117)
+++ LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3121)
@@ -512,4 +512,6 @@
                 <field field_ref="lcc3dcon" level="6" />
                 <field field_ref="lcc3dstra" level="6" />
+                <field field_ref="icc3dcon" level="6" />
+                <field field_ref="icc3dstra" level="6" />
                 <field field_ref="clwcon" level="10" />
                 <field field_ref="Ma" level="10" />
Index: LMDZ6/trunk/DefLists/file_def_histins_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histins_lmdz.xml	(revision 3117)
+++ LMDZ6/trunk/DefLists/file_def_histins_lmdz.xml	(revision 3121)
@@ -499,4 +499,6 @@
                 <field field_ref="lcc3dcon" level="10" />
                 <field field_ref="lcc3dstra" level="10" />
+                <field field_ref="icc3dcon" level="10" />
+                <field field_ref="icc3dstra" level="10" />
                 <field field_ref="clwcon" level="10" />
                 <field field_ref="Ma" level="10" />
Index: LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3117)
+++ LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3121)
@@ -554,4 +554,6 @@
                 <field field_ref="lcc3dcon" level="2" />
                 <field field_ref="lcc3dstra" level="2" />
+                <field field_ref="icc3dcon" level="2" />
+                <field field_ref="icc3dstra" level="2" />
                 <field field_ref="clwcon" level="4" />
                 <field field_ref="Ma" level="4" />
Index: LMDZ6/trunk/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 3117)
+++ LMDZ6/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 3121)
@@ -499,4 +499,6 @@
                 <field field_ref="lcc3dcon" level="10" />
                 <field field_ref="lcc3dstra" level="10" />
+                <field field_ref="icc3dcon" level="10" />
+                <field field_ref="icc3dstra" level="10" />
                 <field field_ref="clwcon" level="10" />
                 <field field_ref="Ma" level="10" />