Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3189)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3190)
@@ -159,5 +159,5 @@
                 <field field_ref="fqfonte" level="1" />
                 <field field_ref="mrroli" level="1" />
-                <field field_ref="runofflic" level="1" />
+                <field field_ref="runofflic" level="5" />
                 <field field_ref="taux" level="1" />
                 <field field_ref="tauy" level="1" />
@@ -335,5 +335,5 @@
                 <field field_ref="tpot" level="10" />
                 <field field_ref="tpote" level="10" />
-                <field field_ref="tke" level="4" />
+                <field field_ref="tke" level="7" />
                 <field field_ref="tke_ter" level="10" />
                 <field field_ref="tke_lic" level="10" />
@@ -377,17 +377,17 @@
                 <field field_ref="sollwad0" level="5" />
                 <field field_ref="sollwai" level="5" />
-                <field field_ref="od550_ASBCM" level="2" />
-                <field field_ref="od550_ASPOMM" level="2" />
-                <field field_ref="od550_ASSO4M" level="2" />
-                <field field_ref="od550_CSSO4M" level="2" />
-                <field field_ref="od550_SSSSM" level="2" />
-                <field field_ref="od550_ASSSM" level="2" />
-                <field field_ref="od550_CSSSM" level="2" />
-                <field field_ref="od550_CIDUSTM" level="2" />
-                <field field_ref="od550_AIBCM" level="2" />
-                <field field_ref="od550_AIPOMM" level="2" />
-                <field field_ref="od550_ASNO3M" level="2" />
-                <field field_ref="od550_CSNO3M" level="2" />
-                <field field_ref="od550_CINO3M" level="2" />
+                <field field_ref="od550_ASBCM" level="5" />
+                <field field_ref="od550_ASPOMM" level="5" />
+                <field field_ref="od550_ASSO4M" level="5" />
+                <field field_ref="od550_CSSO4M" level="5" />
+                <field field_ref="od550_SSSSM" level="5" />
+                <field field_ref="od550_ASSSM" level="5" />
+                <field field_ref="od550_CSSSM" level="5" />
+                <field field_ref="od550_CIDUSTM" level="5" />
+                <field field_ref="od550_AIBCM" level="5" />
+                <field field_ref="od550_AIPOMM" level="5" />
+                <field field_ref="od550_ASNO3M" level="5" />
+                <field field_ref="od550_CSNO3M" level="5" />
+                <field field_ref="od550_CINO3M" level="5" />
                 <field field_ref="od550_STRAT" level="2" />
                 <field field_ref="dryod550_ASBCM" level="2" />
@@ -412,31 +412,31 @@
                 <field field_ref="sconcoa" level="2" />
                 <field field_ref="sconcbc" level="2" />
-                <field field_ref="sconcss" level="2" />
-                <field field_ref="sconcdust" level="2" />
-                <field field_ref="sconcno3" level="2" />
-                <field field_ref="loadso4" level="2" />
-                <field field_ref="loadoa" level="2" />
-                <field field_ref="loadbc" level="2" />
-                <field field_ref="loadss" level="2" />
-                <field field_ref="loaddust" level="2" />
-                <field field_ref="loadno3" level="2" />
-                <field field_ref="swtoaas_nat" level="4" />
-                <field field_ref="swsrfas_nat" level="4" />
-                <field field_ref="swtoacs_nat" level="4" />
-                <field field_ref="swsrfcs_nat" level="4" />
-                <field field_ref="swtoaas_ant" level="4" />
-                <field field_ref="swsrfas_ant" level="4" />
-                <field field_ref="swtoacs_ant" level="4" />
-                <field field_ref="swsrfcs_ant" level="4" />
-                <field field_ref="swtoacf_nat" level="4" />
-                <field field_ref="swsrfcf_nat" level="4" />
-                <field field_ref="swtoacf_ant" level="4" />
-                <field field_ref="swsrfcf_ant" level="4" />
-                <field field_ref="swtoacf_zero" level="4" />
-                <field field_ref="swsrfcf_zero" level="4" />
-                <field field_ref="cldncl" level="2" />
-                <field field_ref="reffclwtop" level="2" />
-                <field field_ref="cldnvi" level="2" />
-                <field field_ref="lcc" level="2" />
+                <field field_ref="sconcss" level="11" />
+                <field field_ref="sconcdust" level="11" />
+                <field field_ref="sconcno3" level="11" />
+                <field field_ref="loadso4" level="11" />
+                <field field_ref="loadoa" level="11" />
+                <field field_ref="loadbc" level="11" />
+                <field field_ref="loadss" level="11" />
+                <field field_ref="loaddust" level="11" />
+                <field field_ref="loadno3" level="11" />
+                <field field_ref="swtoaas_nat" level="11" />
+                <field field_ref="swsrfas_nat" level="11" />
+                <field field_ref="swtoacs_nat" level="11" />
+                <field field_ref="swsrfcs_nat" level="11" />
+                <field field_ref="swtoaas_ant" level="11" />
+                <field field_ref="swsrfas_ant" level="11" />
+                <field field_ref="swtoacs_ant" level="11" />
+                <field field_ref="swsrfcs_ant" level="11" />
+                <field field_ref="swtoacf_nat" level="11" />
+                <field field_ref="swsrfcf_nat" level="11" />
+                <field field_ref="swtoacf_ant" level="11" />
+                <field field_ref="swsrfcf_ant" level="11" />
+                <field field_ref="swtoacf_zero" level="11" />
+                <field field_ref="swsrfcf_zero" level="11" />
+                <field field_ref="cldncl" level="11" />
+                <field field_ref="reffclwtop" level="11" />
+                <field field_ref="cldnvi" level="11" />
+                <field field_ref="lcc" level="11" />
                 <field field_ref="wvapp" level="2" />
                 <field field_ref="ozone_daylight" level="2" />
@@ -513,159 +513,159 @@
                 <field field_ref="concno3" level="2" />
                 <field field_ref="ec550aer" level="2" />
-                <field field_ref="lwcon" level="2" />
-                <field field_ref="iwcon" level="2" />
-                <field field_ref="temp" level="2" />
-                <field field_ref="theta" level="2" />
-                <field field_ref="ovap" level="2" />
-                <field field_ref="ovapinit" level="2" />
-                <field field_ref="oliq" level="2" />
-                <field field_ref="ocond" level="2" />
-                <field field_ref="geop" level="2" />
-                <field field_ref="vitu" level="2" />
-                <field field_ref="vitv" level="2" />
-                <field field_ref="vitw" level="2" />
-                <field field_ref="pres" level="2" />
-                <field field_ref="paprs" level="2" />
-                <field field_ref="mass" level="2" />
-                <field field_ref="zfull" level="2" />
-                <field field_ref="zhalf" level="2" />
-                <field field_ref="rneb" level="2" />
-                <field field_ref="rnebcon" level="2" />
-                <field field_ref="rnebls" level="2" />
-                <field field_ref="rneblsvol" level="2" />
-                <field field_ref="rhum" level="2" />
-                <field field_ref="ozone" level="2" />
-                <field field_ref="upwd" level="2" />
-                <field field_ref="ep" level="2" />
-                <field field_ref="duphy" level="2" />
-                <field field_ref="dtphy" level="2" />
-                <field field_ref="dqphy" level="2" />
-                <field field_ref="dqlphy" level="2" />
-                <field field_ref="dqsphy" level="2" />
-                <field field_ref="pr_con_l" level="2" />
-                <field field_ref="pr_con_i" level="2" />
-                <field field_ref="pr_lsc_l" level="2" />
-                <field field_ref="pr_lsc_i" level="2" />
+                <field field_ref="lwcon" level="7" />
+                <field field_ref="iwcon" level="7" />
+                <field field_ref="temp" level="1" />
+                <field field_ref="theta" level="3" />
+                <field field_ref="ovap" level="1" />
+                <field field_ref="ovapinit" level="10" />
+                <field field_ref="oliq" level="1" />
+                <field field_ref="ocond" level="1" />
+                <field field_ref="geop" level="3" />
+                <field field_ref="vitu" level="1" />
+                <field field_ref="vitv" level="1" />
+                <field field_ref="vitw" level="1" />
+                <field field_ref="pres" level="1" />
+                <field field_ref="paprs" level="3" />
+                <field field_ref="mass" level="3" />
+                <field field_ref="zfull" level="1" />
+                <field field_ref="zhalf" level="7" />
+                <field field_ref="rneb" level="1" />
+                <field field_ref="rnebcon" level="7" />
+                <field field_ref="rnebls" level="7" />
+                <field field_ref="rneblsvol" level="7" />
+                <field field_ref="rhum" level="1" />
+                <field field_ref="ozone" level="3" />
+                <field field_ref="upwd" level="7" />
+                <field field_ref="ep" level="7" />
+                <field field_ref="duphy" level="7" />
+                <field field_ref="dtphy" level="7" />
+                <field field_ref="dqphy" level="7" />
+                <field field_ref="dqlphy" level="7" />
+                <field field_ref="dqsphy" level="7" />
+                <field field_ref="pr_con_l" level="3" />
+                <field field_ref="pr_con_i" level="3" />
+                <field field_ref="pr_lsc_l" level="3" />
+                <field field_ref="pr_lsc_i" level="3" />
                 <field field_ref="re" level="5" />
                 <field field_ref="fl" level="5" />
-                <field field_ref="scdnc" level="2" />
-                <field field_ref="reffclws" level="2" />
-                <field field_ref="reffclwc" level="2" />
-                <field field_ref="lcc3d" level="2" />
-                <field field_ref="lcc3dcon" level="2" />
-                <field field_ref="lcc3dstra" level="2" />
+                <field field_ref="scdnc" level="11" />
+                <field field_ref="reffclws" level="11" />
+                <field field_ref="reffclwc" level="11" />
+                <field field_ref="lcc3d" level="11" />
+                <field field_ref="lcc3dcon" level="11" />
+                <field field_ref="lcc3dstra" level="11" />
                 <field field_ref="cldwatmxrat" level="2" />
-                <field field_ref="icc3dcon" level="2" />
-                <field field_ref="icc3dstra" level="2" />
+                <field field_ref="icc3dcon" level="11" />
+                <field field_ref="icc3dstra" level="11" />
                 <field field_ref="cldicemxrat" level="2" />
-                <field field_ref="clwcon" level="4" />
-                <field field_ref="Ma" level="4" />
-                <field field_ref="dnwd" level="4" />
-                <field field_ref="dnwd0" level="4" />
-                <field field_ref="mc" level="4" />
-                <field field_ref="dtdyn" level="4" />
-                <field field_ref="dqdyn" level="4" />
-                <field field_ref="dqldyn" level="4" />
-                <field field_ref="dqsdyn" level="4" />
-                <field field_ref="dudyn" level="4" />
-                <field field_ref="dvdyn" level="4" />
-                <field field_ref="dtcon" level="4" />
-                <field field_ref="ducon" level="4" />
-                <field field_ref="dvcon" level="4" />
-                <field field_ref="dqcon" level="4" />
-                <field field_ref="dtwak" level="4" />
-                <field field_ref="dqwak" level="4" />
-                <field field_ref="wake_deltat" level="4" />
-                <field field_ref="wake_deltaq" level="4" />
-                <field field_ref="wake_omg" level="4" />
-                <field field_ref="wdtrainA" level="4" />
-                <field field_ref="wdtrainM" level="4" />
-                <field field_ref="Vprecip" level="10" />
-                <field field_ref="ftd" level="4" />
-                <field field_ref="fqd" level="4" />
-                <field field_ref="dtlsc" level="4" />
-                <field field_ref="dtlschr" level="4" />
-                <field field_ref="dqlsc" level="4" />
-                <field field_ref="beta_prec" level="4" />
-                <field field_ref="dtvdf" level="4" />
+                <field field_ref="clwcon" level="7" />
+                <field field_ref="Ma" level="7" />
+                <field field_ref="dnwd" level="7" />
+                <field field_ref="dnwd0" level="7" />
+                <field field_ref="mc" level="7" />
+                <field field_ref="dtdyn" level="7" />
+                <field field_ref="dqdyn" level="7" />
+                <field field_ref="dqldyn" level="7" />
+                <field field_ref="dqsdyn" level="7" />
+                <field field_ref="dudyn" level="7" />
+                <field field_ref="dvdyn" level="7" />
+                <field field_ref="dtcon" level="7" />
+                <field field_ref="ducon" level="7" />
+                <field field_ref="dvcon" level="7" />
+                <field field_ref="dqcon" level="7" />
+                <field field_ref="dtwak" level="7" />
+                <field field_ref="dqwak" level="7" />
+                <field field_ref="wake_deltat" level="7" />
+                <field field_ref="wake_deltaq" level="7" />
+                <field field_ref="wake_omg" level="7" />
+                <field field_ref="wdtrainA" level="9" />
+                <field field_ref="wdtrainM" level="9" />
+                <field field_ref="Vprecip" level="11" />
+                <field field_ref="ftd" level="7" />
+                <field field_ref="fqd" level="7" />
+                <field field_ref="dtlsc" level="7" />
+                <field field_ref="dtlschr" level="7" />
+                <field field_ref="dqlsc" level="7" />
+                <field field_ref="beta_prec" level="9" />
+                <field field_ref="dtvdf" level="7" />
                 <field field_ref="dtvdf_x" level="11" />
                 <field field_ref="dtvdf_w" level="11" />
-                <field field_ref="dtdis" level="4" />
-                <field field_ref="dqvdf" level="4" />
+                <field field_ref="dtdis" level="7" />
+                <field field_ref="dqvdf" level="7" />
                 <field field_ref="dqvdf_x" level="11" />
                 <field field_ref="dqvdf_w" level="11" />
-                <field field_ref="dteva" level="4" />
-                <field field_ref="dqeva" level="4" />
+                <field field_ref="dteva" level="7" />
+                <field field_ref="dqeva" level="7" />
                 <field field_ref="dqlscth" level="10" />
                 <field field_ref="dqlscst" level="10" />
                 <field field_ref="dtlscth" level="10" />
                 <field field_ref="dtlscst" level="10" />
-                <field field_ref="ptconvth" level="10" />
-                <field field_ref="ptconv" level="4" />
-                <field field_ref="ratqs" level="4" />
-                <field field_ref="dtthe" level="4" />
-                <field field_ref="f_th" level="4" />
-                <field field_ref="e_th" level="4" />
-                <field field_ref="w_th" level="4" />
+                <field field_ref="ptconvth" level="7" />
+                <field field_ref="ptconv" level="7" />
+                <field field_ref="ratqs" level="7" />
+                <field field_ref="dtthe" level="7" />
+                <field field_ref="f_th" level="7" />
+                <field field_ref="e_th" level="9" />
+                <field field_ref="w_th" level="7" />
                 <field field_ref="lambda_th" level="10" />
-                <field field_ref="q_th" level="4" />
-                <field field_ref="a_th" level="4" />
-                <field field_ref="s_th" level="4" />
-                <field field_ref="s_env" level="4" />
-                <field field_ref="sigma_th" level="4" />
-                <field field_ref="sigma_env" level="4" />
-                <field field_ref="d_th" level="4" />
-                <field field_ref="dqthe" level="4" />
-                <field field_ref="dtajs" level="4" />
-                <field field_ref="dqajs" level="4" />
-                <field field_ref="dtswr" level="4" />
-                <field field_ref="dtsw0" level="4" />
-                <field field_ref="dtlwr" level="4" />
-                <field field_ref="dtlw0" level="4" />
-                <field field_ref="dtec"  level="4" />
-                <field field_ref="duvdf" level="4" />
-                <field field_ref="dvvdf" level="4" />
-                <field field_ref="duoro" level="4" />
-                <field field_ref="dvoro" level="4" />
-                <field field_ref="dulif" level="4" />
-                <field field_ref="dvlif" level="4" />
-                <field field_ref="du_gwd_hines" level="4" />
-                <field field_ref="dv_gwd_hines" level="4" />
-                <field field_ref="du_gwd_front" level="4" />
-                <field field_ref="dv_gwd_front" level="4" />
-                <field field_ref="east_gwstress" level="4" />
-                <field field_ref="west_gwstress" level="4" />
-                <field field_ref="dtoro" level="4" />
-                <field field_ref="dtlif" level="4" />
-                <field field_ref="dthin" level="4" />
-                <field field_ref="rsu" level="4" />
-                <field field_ref="rsd" level="4" />
-                <field field_ref="rlu" level="4" />
-                <field field_ref="rld" level="4" />
-                <field field_ref="rsucs" level="4" />
-                <field field_ref="rsdcs" level="4" />
-                <field field_ref="rlucs" level="4" />
-                <field field_ref="rldcs" level="4" />
-                <field field_ref="tnt"  level="4" />
-                <field field_ref="tntc" level="4" />
-                <field field_ref="tntr" level="4" />
-                <field field_ref="tntscpbl" level="4" />
-                <field field_ref="tnhus"    level="4" />
-                <field field_ref="tnhusc"   level="4" />
-                <field field_ref="tnhusscpbl" level="4" />
-                <field field_ref="evu" level="4" />
-                <field field_ref="h2o" level="4" />
-                <field field_ref="mcd" level="4" />
-                <field field_ref="dmc" level="4" />
-                <field field_ref="ref_liq" level="4" />
-                <field field_ref="ref_ice" level="4" />
-                <field field_ref="rsu4co2" level="5" />
-                <field field_ref="rlu4co2" level="5" />
-                <field field_ref="rsucs4co2" level="5" />
-                <field field_ref="rlucs4co2" level="5" />
-                <field field_ref="rsd4co2" level="5" />
-                <field field_ref="rld4co2" level="5" />
-                <field field_ref="rsdcs4co2" level="5" />
-                <field field_ref="rldcs4co2" level="5" />
+                <field field_ref="q_th" level="9" />
+                <field field_ref="a_th" level="9" />
+                <field field_ref="s_th" level="9" />
+                <field field_ref="s_env" level="9" />
+                <field field_ref="sigma_th" level="9" />
+                <field field_ref="sigma_env" level="9" />
+                <field field_ref="d_th" level="9" />
+                <field field_ref="dqthe" level="7" />
+                <field field_ref="dtajs" level="7" />
+                <field field_ref="dqajs" level="7" />
+                <field field_ref="dtswr" level="7" />
+                <field field_ref="dtsw0" level="7" />
+                <field field_ref="dtlwr" level="7" />
+                <field field_ref="dtlw0" level="7" />
+                <field field_ref="dtec"  level="7" />
+                <field field_ref="duvdf" level="7" />
+                <field field_ref="dvvdf" level="7" />
+                <field field_ref="duoro" level="7" />
+                <field field_ref="dvoro" level="7" />
+                <field field_ref="dulif" level="7" />
+                <field field_ref="dvlif" level="7" />
+                <field field_ref="du_gwd_hines" level="7" />
+                <field field_ref="dv_gwd_hines" level="7" />
+                <field field_ref="du_gwd_front" level="7" />
+                <field field_ref="dv_gwd_front" level="7" />
+                <field field_ref="east_gwstress" level="10" />
+                <field field_ref="west_gwstress" level="10" />
+                <field field_ref="dtoro" level="10" />
+                <field field_ref="dtlif" level="7" />
+                <field field_ref="dthin" level="7" />
+                <field field_ref="rsu" level="5" />
+                <field field_ref="rsd" level="10" />
+                <field field_ref="rlu" level="10" />
+                <field field_ref="rld" level="10" />
+                <field field_ref="rsucs" level="10" />
+                <field field_ref="rsdcs" level="10" />
+                <field field_ref="rlucs" level="10" />
+                <field field_ref="rldcs" level="10" />
+                <field field_ref="tnt"  level="10" />
+                <field field_ref="tntc" level="10" />
+                <field field_ref="tntr" level="10" />
+                <field field_ref="tntscpbl" level="10" />
+                <field field_ref="tnhus"    level="10" />
+                <field field_ref="tnhusc"   level="10" />
+                <field field_ref="tnhusscpbl" level="10" />
+                <field field_ref="evu" level="10" />
+                <field field_ref="h2o" level="10" />
+                <field field_ref="mcd" level="10" />
+                <field field_ref="dmc" level="10" />
+                <field field_ref="ref_liq" level="5" />
+                <field field_ref="ref_ice" level="10" />
+                <field field_ref="rsu4co2" level="10" />
+                <field field_ref="rlu4co2" level="10" />
+                <field field_ref="rsucs4co2" level="10" />
+                <field field_ref="rlucs4co2" level="10" />
+                <field field_ref="rsd4co2" level="10" />
+                <field field_ref="rld4co2" level="10" />
+                <field field_ref="rsdcs4co2" level="10" />
+                <field field_ref="rldcs4co2" level="10" />
             </field_group>
 