Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/context_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/context_lmdz.xml	(revision 3264)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/context_lmdz.xml	(revision 3271)
@@ -26,4 +26,7 @@
   <domain_definition>
     <domain id="dom_glo" data_dim="2" />
+    <domain id="greordered"  domain_ref="dom_glo">
+      <reorder_domain invert_lat="true" shift_lon_fraction="0.5" min_lon="0" max_lon="360" />
+    </domain> 
   </domain_definition>
   
@@ -99,46 +102,46 @@
 
      <grid id="grid_glo">
-        <domain id="dom_glo" />
+        <domain domain_ref="dom_glo" />
      </grid>
 
      <grid id="grid_glo_presnivs">
-        <domain id="dom_glo" />
-        <axis id="presnivs" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="presnivs" />
      </grid>
 
 
      <grid id="grid_glo_plev">
-        <domain id="dom_glo" />
-        <axis id="plev" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="plev" />
      </grid>
 
      <grid id="grid_glo_spectband">
-        <domain id="dom_glo" />
-        <axis id="spectband" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="spectband" />
      </grid>
 
      <grid id="grid_glo_height">
-        <domain id="dom_glo" />
-        <axis id="height" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="height" />
      </grid>
 
      <grid id="grid_glo_heightmlev">
-        <domain id="dom_glo" />
-        <axis id="height_mlev" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="height_mlev" />
      </grid>
 
      <grid id="grid_glo_temp">
-        <domain id="dom_glo" />
-        <axis id="temp" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="temp" />
      </grid>
 
      <grid id="grid_glo_sza">
-        <domain id="dom_glo" />
-        <axis id="sza" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="sza" />
      </grid>
 
      <grid id="grid_glo_column">
-        <domain id="dom_glo" />
-        <axis id="column" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="column" />
      </grid>
 
@@ -146,58 +149,58 @@
 <!-- Define 4D grids for Cosp simulator -->
      <grid id="grid4Dcol">
-        <domain id="dom_glo" />
-        <axis id="height_mlev" />
-        <axis id="column" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="height_mlev" />
+        <axis axis_ref="column" />
      </grid>
 
      <grid id="grid4Dsrbin">
-        <domain id="dom_glo" />
-        <axis id="height" />
-        <axis id="scatratio" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="height" />
+        <axis axis_ref="scatratio" />
      </grid>
 
      <grid id="grid4Ddbze">
-        <domain id="dom_glo" />
-        <axis id="height" />
-        <axis id="dbze" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="height" />
+        <axis axis_ref="dbze" />
      </grid>
 
      <grid id="grid4Dtau">
-        <domain id="dom_glo" />
-        <axis id="tau" />
-        <axis id="pressure2" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="tau" />
+        <axis axis_ref="pressure2" />
      </grid>
 
      <grid id="grid4Dmisr">
-        <domain id="dom_glo" />
-        <axis id="tau" />
-        <axis id="cth16" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="tau" />
+        <axis axis_ref="cth16" />
      </grid>
 
      <grid id="grid4Dreffi">
-        <domain id="dom_glo" />
-        <axis id="tau" />
-        <axis id="ReffIce" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="tau" />
+        <axis axis_ref="ReffIce" />
      </grid>
 
      <grid id="grid4Dreffl">
-        <domain id="dom_glo" />
-        <axis id="tau" />
-        <axis id="ReffLiq" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="tau" />
+        <axis axis_ref="ReffLiq" />
      </grid>
      <grid id="grid4Dcol2">
-        <domain id="dom_glo" />
-        <axis id="height" />
-        <axis id="column" />
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="height" />
+        <axis axis_ref="column" />
      </grid>
 
  <!-- Grid definitions to allow summing of a 3D varaible -->    
       <grid id="grid_3D" >
-         <domain id="dom_glo" />
-         <axis id="lev" />
+         <domain domain_ref="dom_glo" />
+         <axis axis_ref="lev" />
        </grid>
 
        <grid id="grid_sum_axis">
-         <domain id="dom_glo" />
+         <domain domain_ref="dom_glo" />
          <scalar>
             <reduce_axis operation="sum" />
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml	(revision 3264)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml	(revision 3271)
@@ -974,5 +974,6 @@
       <field id="CFC12_ppt" long_name="CFC12_ppt" unit="ppt" />
 <!-- reducing mass 3D variable to atmosphere total mass scalar -->
-      <field id="mass_sum" field_ref="mass" grid_ref="grid_sum" grid_path="grid_sum_axis" freq_op="1mo" > @mass  </field>
+      <field id="mass_sum_axis"    field_ref="mass" grid_ref="grid_sum_axis" freq_op="1mo" > @mass  </field>
+      <field id="mass_sum" field_ref="mass_sum_axis" grid_ref="grid_sum" freq_op="1mo" > @mass_sum_axis  </field>
    </field_group>
 