Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histLES" name="XhistLES" output_freq="1h" output_level="5" enabled=".FALSE.">
+        <file id="histLES" name="XhistLES" output_freq="1h" output_level="5" enabled=".FALSE." compression_level="0">
             
             <!-- VARS 1D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayCOSP_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
       <file_group id="defile">
-        <file id="histdayCOSP" name="histdayCOSP" output_freq="1d" output_level="1"  enabled=".TRUE.">
+        <file id="histdayCOSP" name="histdayCOSP" output_freq="1d" output_level="1"  enabled=".TRUE." compression_level="0">
             <!-- VARS Calipso and PARASOL -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayNMC_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayNMC_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayNMC_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histdayNMC" name="histdayNMC" output_freq="1d" output_level="5" enabled="_AUTO_">
+        <file id="histdayNMC" name="histdayNMC" output_freq="1d" output_level="5" enabled="_AUTO_" compression_level="0">
 
             <!-- VARS 3D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histday" name="histday" output_freq="1d" output_level="2" enabled="_AUTO_">
+        <file id="histday" name="histday" output_freq="1d" output_level="2" enabled="_AUTO_" compression_level="0">
             
             <!-- VARS 1D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfCOSP_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histhfCOSP" name="histhfCOSP" output_freq="3h" output_level="1"  enabled=".TRUE.">
+        <file id="histhfCOSP" name="histhfCOSP" output_freq="3h" output_level="1"  enabled=".TRUE." compression_level="0">
             <!-- VARS Calipso and PARASOL -->
             <field_group operation="instant" freq_op="3h" detect_missing_value=".true.">
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfNMC_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfNMC_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfNMC_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histhfNMC" name="histhfNMC" output_freq="6h" output_level="5" enabled="_AUTO_">
+        <file id="histhfNMC" name="histhfNMC" output_freq="6h" output_level="5" enabled="_AUTO_" compression_level="0">
 
             <!-- VARS 3D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histhf" name="histhf" output_freq="3h" output_level="5" enabled="_AUTO_">
+        <file id="histhf" name="histhf" output_freq="3h" output_level="5" enabled="_AUTO_" compression_level="0">
             
             <!-- VARS 1D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histins" name="Xhistins" output_freq="1ts" output_level="4" enabled=".FALSE.">
+        <file id="histins" name="Xhistins" output_freq="1ts" output_level="4" enabled=".FALSE." compression_level="0">
             
             <!-- VARS 1D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthCOSP_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histmthCOSP" name="histmthCOSP" output_freq="1mo" output_level="1"  enabled=".TRUE.">
+        <file id="histmthCOSP" name="histmthCOSP" output_freq="1mo" output_level="1"  enabled=".TRUE." compression_level="0">
 
             <!-- VARS Calipso and PARASOL -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthNMC_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthNMC_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthNMC_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histmthNMC" name="histmthNMC" output_freq="1mo" output_level="5" enabled="_AUTO_">
+        <file id="histmthNMC" name="histmthNMC" output_freq="1mo" output_level="5" enabled="_AUTO_" compression_level="0">
 
             <!-- VARS 3D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
         <file_group id="defile">
-        <file id="histmth" name="histmth" output_freq="1mo" output_level="5"  enabled="_AUTO_">
+        <file id="histmth" name="histmth" output_freq="1mo" output_level="5"  enabled="_AUTO_" compression_level="0">
 
             <!-- VARS 1D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histstn" name="histstn" output_freq="1800s" output_level="5" enabled="_AUTO_">
+        <file id="histstn" name="histstn" output_freq="1800s" output_level="5" enabled="_AUTO_" compression_level="0">
 
             <!-- VARS 1D -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstrataer_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstrataer_lmdz.xml	(revision 3288)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstrataer_lmdz.xml	(revision 3289)
@@ -1,5 +1,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histstrataer" name="histstrataer" output_freq="1mo" output_level="5" enabled="_AUTO_">
+        <file id="histstrataer" name="histstrataer" output_freq="1mo" output_level="5" enabled="_AUTO_" compression_level="0">
 
             <field_group group_ref="fields_strataer_3D" operation="average" freq_op="1ts" level="1" />