Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayCOSP_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 3298)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 3299)
@@ -1,55 +1,55 @@
 <file_definition>
       <file_group id="defile">
-        <file id="histdayCOSP" name="histdayCOSP" output_freq="1d" output_level="1"  enabled=".TRUE." compression_level="0">
+        <file id="histdayCOSP" name="histdayCOSP" output_freq="1d" output_level="0"  enabled=".TRUE." compression_level="0">
             <!-- VARS Calipso and PARASOL -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="cllcalipso"         level="1" />
-                <field field_ref="clmcalipso"         level="1" />
-                <field field_ref="clhcalipso"         level="1" />
-                <field field_ref="cltcalipso"         level="1" />
-                <field field_ref="pcllcalipso"         level="1" />
-                <field field_ref="pclmcalipso"         level="1" />
-                <field field_ref="pclhcalipso"         level="1" />
-                <field field_ref="pcltcalipso"         level="1" />
-                <field field_ref="cllcalipsoice"         level="1" />
-                <field field_ref="clmcalipsoice"         level="1" />
-                <field field_ref="clhcalipsoice"         level="1" />
-                <field field_ref="cltcalipsoice"         level="1" />
-                <field field_ref="cllcalipsoliq"         level="1" />
-                <field field_ref="clmcalipsoliq"         level="1" />
-                <field field_ref="clhcalipsoliq"         level="1" />
-                <field field_ref="cltcalipsoliq"         level="1" />
-                <field field_ref="cllcalipsoun"         level="1" />
-                <field field_ref="clmcalipsoun"         level="1" />
-                <field field_ref="clhcalipsoun"         level="1" />
-                <field field_ref="cltcalipsoun"         level="1" />
-                <field field_ref="clcalipso"  level="1" />
-                <field field_ref="clcalipsoice"  level="1" />
-                <field field_ref="clcalipsoliq"  level="1" />
-                <field field_ref="clcalipsoun"  level="1" />
-                <field field_ref="clcalipsotmp"  level="1" />
-                <field field_ref="clcalipsotmpice"  level="1" />
-                <field field_ref="clcalipsotmpliq"  level="1" />
-                <field field_ref="clcalipsotmpun"  level="1" />
-                <field field_ref="parasol_refl"  level="1" />
-                <field field_ref="parasol_crefl"  level="1" />
-                <field field_ref="Ncrefl"  level="1" />
+                <field field_ref="cllcalipso"         level="5" />
+                <field field_ref="clmcalipso"         level="5" />
+                <field field_ref="clhcalipso"         level="5" />
+                <field field_ref="cltcalipso"         level="5" />
+                <field field_ref="pcllcalipso"         level="5" />
+                <field field_ref="pclmcalipso"         level="5" />
+                <field field_ref="pclhcalipso"         level="5" />
+                <field field_ref="pcltcalipso"         level="5" />
+                <field field_ref="cllcalipsoice"         level="5" />
+                <field field_ref="clmcalipsoice"         level="5" />
+                <field field_ref="clhcalipsoice"         level="5" />
+                <field field_ref="cltcalipsoice"         level="5" />
+                <field field_ref="cllcalipsoliq"         level="5" />
+                <field field_ref="clmcalipsoliq"         level="5" />
+                <field field_ref="clhcalipsoliq"         level="5" />
+                <field field_ref="cltcalipsoliq"         level="5" />
+                <field field_ref="cllcalipsoun"         level="5" />
+                <field field_ref="clmcalipsoun"         level="5" />
+                <field field_ref="clhcalipsoun"         level="5" />
+                <field field_ref="cltcalipsoun"         level="5" />
+                <field field_ref="clcalipso"  level="5" />
+                <field field_ref="clcalipsoice"  level="5" />
+                <field field_ref="clcalipsoliq"  level="5" />
+                <field field_ref="clcalipsoun"  level="5" />
+                <field field_ref="clcalipsotmp"  level="5" />
+                <field field_ref="clcalipsotmpice"  level="5" />
+                <field field_ref="clcalipsotmpliq"  level="5" />
+                <field field_ref="clcalipsotmpun"  level="5" />
+                <field field_ref="parasol_refl"  level="5" />
+                <field field_ref="parasol_crefl"  level="5" />
+                <field field_ref="Ncrefl"  level="5" />
        		    <field field_ref="cfad_lidarsr532"  level="10" />
                 <field field_ref="atb532" level="10" />
                 <field field_ref="beta_mol532" level="10" />
-                <field field_ref="clopaquecalipso"         level="1" />
-                <field field_ref="clthincalipso"           level="1" />
-                <field field_ref="clzopaquecalipso"        level="1" />
-                <field field_ref="clcalipsoopaque"   level="1" />
-                <field field_ref="clcalipsothin"     level="1" />
-                <field field_ref="clcalipsozopaque"  level="1" />
-                <field field_ref="clcalipsoopacity"  level="1" />
-                <field field_ref="proftemp"  level="1" />
-                <field field_ref="profSR"  level="1" />
+                <field field_ref="clopaquecalipso"         level="5" />
+                <field field_ref="clthincalipso"           level="5" />
+                <field field_ref="clzopaquecalipso"        level="5" />
+                <field field_ref="clcalipsoopaque"   level="5" />
+                <field field_ref="clcalipsothin"     level="5" />
+                <field field_ref="clcalipsozopaque"  level="5" />
+                <field field_ref="clcalipsoopacity"  level="5" />
+                <field field_ref="proftemp"  level="5" />
+                <field field_ref="profSR"  level="5" />
               </field_group>
              <!-- VARS CLOUDSAT et/ou Calipso -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true."> 
-               <field field_ref="cltlidarradar"  level="1"/>
-               <field field_ref="clcalipso2"  level="1" />
+               <field field_ref="cltlidarradar"  level="5"/>
+               <field field_ref="clcalipso2"  level="5" />
                <field field_ref="cfadDbze94"  level="10" />
                <field field_ref="dbze94" level="10" />
@@ -57,12 +57,12 @@
              <!-- VARS ISCCP -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="sunlit" level="1" />
-                <field field_ref="clisccp2" level="1" />
-                <field field_ref="boxtauisccp" level="1" />
-                <field field_ref="boxptopisccp" level="1" />
-                <field field_ref="tclisccp" level="1" />
-                <field field_ref="ctpisccp" level="1" />
-                <field field_ref="tauisccp" level="1" /> 
-                <field field_ref="albisccp" level="1" />
+                <field field_ref="sunlit" level="5" />
+                <field field_ref="clisccp2" level="5" />
+                <field field_ref="boxtauisccp" level="5" />
+                <field field_ref="boxptopisccp" level="5" />
+                <field field_ref="tclisccp" level="5" />
+                <field field_ref="ctpisccp" level="5" />
+                <field field_ref="tauisccp" level="5" /> 
+                <field field_ref="albisccp" level="5" />
                 <field field_ref="meantbisccp" level="10" />
                 <field field_ref="meantbclrisccp" level="10" />
@@ -70,25 +70,25 @@
              <!-- VARS MISR -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="clMISR" level="1" />
+                <field field_ref="clMISR" level="5" />
             </field_group>
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="cllmodis" level="1" />
-                <field field_ref="clmmodis" level="1" />
-                <field field_ref="clhmodis" level="1" />
-                <field field_ref="cltmodis" level="1" />
-                <field field_ref="clwmodis" level="1" />
-                <field field_ref="climodis" level="1" />
-                <field field_ref="tautmodis" level="1" />
-                <field field_ref="tauwmodis" level="1" />
-                <field field_ref="tauimodis" level="1" />
-                <field field_ref="tautlogmodis" level="1" />
-                <field field_ref="tauilogmodis" level="1" />
-                <field field_ref="tauwlogmodis" level="1" />
-                <field field_ref="reffclwmodis" level="1" />
-                <field field_ref="reffclimodis" level="1" />
-                <field field_ref="pctmodis"  level="1" />
-                <field field_ref="lwpmodis" level="1" />
-                <field field_ref="iwpmodis" level="1" />
-                <field field_ref="clmodis" level="1" />
+                <field field_ref="cllmodis" level="5" />
+                <field field_ref="clmmodis" level="5" />
+                <field field_ref="clhmodis" level="5" />
+                <field field_ref="cltmodis" level="5" />
+                <field field_ref="clwmodis" level="5" />
+                <field field_ref="climodis" level="5" />
+                <field field_ref="tautmodis" level="5" />
+                <field field_ref="tauwmodis" level="5" />
+                <field field_ref="tauimodis" level="5" />
+                <field field_ref="tautlogmodis" level="5" />
+                <field field_ref="tauilogmodis" level="5" />
+                <field field_ref="tauwlogmodis" level="5" />
+                <field field_ref="reffclwmodis" level="5" />
+                <field field_ref="reffclimodis" level="5" />
+                <field field_ref="pctmodis"  level="5" />
+                <field field_ref="lwpmodis" level="5" />
+                <field field_ref="iwpmodis" level="5" />
+                <field field_ref="clmodis" level="5" />
                 <field field_ref="crimodis" level="10" />
                 <field field_ref="crlmodis" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfCOSP_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 3298)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 3299)
@@ -1,38 +1,38 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histhfCOSP" name="histhfCOSP" output_freq="3h" output_level="1"  enabled=".TRUE." compression_level="0">
+        <file id="histhfCOSP" name="histhfCOSP" output_freq="3h" output_level="0"  enabled=".TRUE." compression_level="0">
             <!-- VARS Calipso and PARASOL -->
             <field_group operation="instant" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="cllcalipso"         level="1" />
-                <field field_ref="clmcalipso"         level="1" />
-                <field field_ref="clhcalipso"         level="1" />
-                <field field_ref="cltcalipso"         level="1" />
-                <field field_ref="pcllcalipso"         level="1" />
-                <field field_ref="pclmcalipso"         level="1" />
-                <field field_ref="pclhcalipso"         level="1" />
-                <field field_ref="pcltcalipso"         level="1" />
-                <field field_ref="cllcalipsoice"         level="1" />
-                <field field_ref="clmcalipsoice"         level="1" />
-                <field field_ref="clhcalipsoice"         level="1" />
-                <field field_ref="cltcalipsoice"         level="1" />
-                <field field_ref="cllcalipsoliq"         level="1" />
-                <field field_ref="clmcalipsoliq"         level="1" />
-                <field field_ref="clhcalipsoliq"         level="1" />
-                <field field_ref="cltcalipsoliq"         level="1" />
-                <field field_ref="cllcalipsoun"         level="1" />
-                <field field_ref="clmcalipsoun"         level="1" />
-                <field field_ref="clhcalipsoun"         level="1" />
-                <field field_ref="cltcalipsoun"         level="1" />
-                <field field_ref="clcalipso"  level="1" />
-                <field field_ref="clcalipsoice"  level="1" />
-                <field field_ref="clcalipsoliq"  level="1" />
-                <field field_ref="clcalipsoun"  level="1" />
-                <field field_ref="clcalipsotmp"  level="1" />
-                <field field_ref="clcalipsotmpice"  level="1" />
-                <field field_ref="clcalipsotmpliq"  level="1" />
-                <field field_ref="clcalipsotmpun"  level="1" />
-                <field field_ref="parasol_refl"  level="1" />
-                <field field_ref="parasol_crefl"  level="1" />
-                <field field_ref="Ncrefl"  level="1" />
+                <field field_ref="cllcalipso"         level="5" />
+                <field field_ref="clmcalipso"         level="5" />
+                <field field_ref="clhcalipso"         level="5" />
+                <field field_ref="cltcalipso"         level="5" />
+                <field field_ref="pcllcalipso"         level="5" />
+                <field field_ref="pclmcalipso"         level="5" />
+                <field field_ref="pclhcalipso"         level="5" />
+                <field field_ref="pcltcalipso"         level="5" />
+                <field field_ref="cllcalipsoice"         level="5" />
+                <field field_ref="clmcalipsoice"         level="5" />
+                <field field_ref="clhcalipsoice"         level="5" />
+                <field field_ref="cltcalipsoice"         level="5" />
+                <field field_ref="cllcalipsoliq"         level="5" />
+                <field field_ref="clmcalipsoliq"         level="5" />
+                <field field_ref="clhcalipsoliq"         level="5" />
+                <field field_ref="cltcalipsoliq"         level="5" />
+                <field field_ref="cllcalipsoun"         level="5" />
+                <field field_ref="clmcalipsoun"         level="5" />
+                <field field_ref="clhcalipsoun"         level="5" />
+                <field field_ref="cltcalipsoun"         level="5" />
+                <field field_ref="clcalipso"  level="5" />
+                <field field_ref="clcalipsoice"  level="5" />
+                <field field_ref="clcalipsoliq"  level="5" />
+                <field field_ref="clcalipsoun"  level="5" />
+                <field field_ref="clcalipsotmp"  level="5" />
+                <field field_ref="clcalipsotmpice"  level="5" />
+                <field field_ref="clcalipsotmpliq"  level="5" />
+                <field field_ref="clcalipsotmpun"  level="5" />
+                <field field_ref="parasol_refl"  level="5" />
+                <field field_ref="parasol_crefl"  level="5" />
+                <field field_ref="Ncrefl"  level="5" />
        		    <field field_ref="cfad_lidarsr532"  level="10" />
                 <field field_ref="atb532" level="10" />
@@ -45,11 +45,11 @@
                 <field field_ref="clcalipsozopaque"  level="10" />
                 <field field_ref="clcalipsoopacity"  level="10" />
-                <field field_ref="proftemp"  level="1" />
-                <field field_ref="profSR"  level="1" />
+                <field field_ref="proftemp"  level="5" />
+                <field field_ref="profSR"  level="5" />
               </field_group>
              <!-- VARS CLOUDSAT et/ou Calipso -->
             <field_group operation="instant" freq_op="3h" detect_missing_value=".true."> 
-               <field field_ref="cltlidarradar"  level="1"/>
-               <field field_ref="clcalipso2"  level="1" />
+               <field field_ref="cltlidarradar"  level="5"/>
+               <field field_ref="clcalipso2"  level="5" />
                <field field_ref="cfadDbze94"  level="10" />
                <field field_ref="dbze94" level="10" />
@@ -57,12 +57,12 @@
              <!-- VARS ISCCP -->
             <field_group operation="instant" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="sunlit" level="1" />
-                <field field_ref="clisccp2" level="1" />
-                <field field_ref="boxtauisccp" level="1" />
-                <field field_ref="boxptopisccp" level="1" />
-                <field field_ref="tclisccp" level="1" />
-                <field field_ref="ctpisccp" level="1" />
-                <field field_ref="tauisccp" level="1" /> 
-                <field field_ref="albisccp" level="1" />
+                <field field_ref="sunlit" level="5" />
+                <field field_ref="clisccp2" level="5" />
+                <field field_ref="boxtauisccp" level="5" />
+                <field field_ref="boxptopisccp" level="5" />
+                <field field_ref="tclisccp" level="5" />
+                <field field_ref="ctpisccp" level="5" />
+                <field field_ref="tauisccp" level="5" /> 
+                <field field_ref="albisccp" level="5" />
                 <field field_ref="meantbisccp" level="10" />
                 <field field_ref="meantbclrisccp" level="10" />
@@ -70,25 +70,25 @@
              <!-- VARS MISR -->
             <field_group operation="instant" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="clMISR" level="1" />
+                <field field_ref="clMISR" level="5" />
             </field_group>
             <field_group operation="instant" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="cllmodis" level="1" />
-                <field field_ref="clmmodis" level="1" />
-                <field field_ref="clhmodis" level="1" />
-                <field field_ref="cltmodis" level="1" />
-                <field field_ref="clwmodis" level="1" />
-                <field field_ref="climodis" level="1" />
-                <field field_ref="tautmodis" level="1" />
-                <field field_ref="tauwmodis" level="1" />
-                <field field_ref="tauimodis" level="1" />
-                <field field_ref="tautlogmodis" level="1" />
-                <field field_ref="tauilogmodis" level="1" />
-                <field field_ref="tauwlogmodis" level="1" />
-                <field field_ref="reffclwmodis" level="1" />
-                <field field_ref="reffclimodis" level="1" />
-                <field field_ref="pctmodis"  level="1" />
-                <field field_ref="lwpmodis" level="1" />
-                <field field_ref="iwpmodis" level="1" />
-                <field field_ref="clmodis" level="1" />
+                <field field_ref="cllmodis" level="5" />
+                <field field_ref="clmmodis" level="5" />
+                <field field_ref="clhmodis" level="5" />
+                <field field_ref="cltmodis" level="5" />
+                <field field_ref="clwmodis" level="5" />
+                <field field_ref="climodis" level="5" />
+                <field field_ref="tautmodis" level="5" />
+                <field field_ref="tauwmodis" level="5" />
+                <field field_ref="tauimodis" level="5" />
+                <field field_ref="tautlogmodis" level="5" />
+                <field field_ref="tauilogmodis" level="5" />
+                <field field_ref="tauwlogmodis" level="5" />
+                <field field_ref="reffclwmodis" level="5" />
+                <field field_ref="reffclimodis" level="5" />
+                <field field_ref="pctmodis"  level="5" />
+                <field field_ref="lwpmodis" level="5" />
+                <field field_ref="iwpmodis" level="5" />
+                <field field_ref="clmodis" level="5" />
                 <field field_ref="crimodis" level="10" />
                 <field field_ref="crlmodis" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthCOSP_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 3298)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 3299)
@@ -1,56 +1,56 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histmthCOSP" name="histmthCOSP" output_freq="1mo" output_level="1"  enabled=".TRUE." compression_level="0">
+        <file id="histmthCOSP" name="histmthCOSP" output_freq="1mo" output_level="0"  enabled=".TRUE." compression_level="0">
 
             <!-- VARS Calipso and PARASOL -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="cllcalipso"         level="1" />
-                <field field_ref="clmcalipso"         level="1" />
-                <field field_ref="clhcalipso"         level="1" />
-                <field field_ref="cltcalipso"         level="1" />
-                <field field_ref="pcllcalipso"         level="1" />
-                <field field_ref="pclmcalipso"         level="1" />
-                <field field_ref="pclhcalipso"         level="1" />
-                <field field_ref="pcltcalipso"         level="1" />
-                <field field_ref="cllcalipsoice"         level="1" />
-                <field field_ref="clmcalipsoice"         level="1" />
-                <field field_ref="clhcalipsoice"         level="1" />
-                <field field_ref="cltcalipsoice"         level="1" />
-                <field field_ref="cllcalipsoliq"         level="1" />
-                <field field_ref="clmcalipsoliq"         level="1" />
-                <field field_ref="clhcalipsoliq"         level="1" />
-                <field field_ref="cltcalipsoliq"         level="1" />
-                <field field_ref="cllcalipsoun"         level="1" />
-                <field field_ref="clmcalipsoun"         level="1" />
-                <field field_ref="clhcalipsoun"         level="1" />
-                <field field_ref="cltcalipsoun"         level="1" />
-                <field field_ref="clcalipso"  level="1" />
-                <field field_ref="clcalipsoice"  level="1" />
-                <field field_ref="clcalipsoliq"  level="1" />
-                <field field_ref="clcalipsoun"  level="1" />
-                <field field_ref="clcalipsotmp"  level="1" />
-                <field field_ref="clcalipsotmpice"  level="1" />
-                <field field_ref="clcalipsotmpliq"  level="1" />
-                <field field_ref="clcalipsotmpun"  level="1" />
-                <field field_ref="parasol_refl"  level="1" />
-                <field field_ref="parasol_crefl"  level="1" />
-                <field field_ref="Ncrefl"  level="1" />
+                <field field_ref="cllcalipso"         level="5" />
+                <field field_ref="clmcalipso"         level="5" />
+                <field field_ref="clhcalipso"         level="5" />
+                <field field_ref="cltcalipso"         level="5" />
+                <field field_ref="pcllcalipso"         level="5" />
+                <field field_ref="pclmcalipso"         level="5" />
+                <field field_ref="pclhcalipso"         level="5" />
+                <field field_ref="pcltcalipso"         level="5" />
+                <field field_ref="cllcalipsoice"         level="5" />
+                <field field_ref="clmcalipsoice"         level="5" />
+                <field field_ref="clhcalipsoice"         level="5" />
+                <field field_ref="cltcalipsoice"         level="5" />
+                <field field_ref="cllcalipsoliq"         level="5" />
+                <field field_ref="clmcalipsoliq"         level="5" />
+                <field field_ref="clhcalipsoliq"         level="5" />
+                <field field_ref="cltcalipsoliq"         level="5" />
+                <field field_ref="cllcalipsoun"         level="5" />
+                <field field_ref="clmcalipsoun"         level="5" />
+                <field field_ref="clhcalipsoun"         level="5" />
+                <field field_ref="cltcalipsoun"         level="5" />
+                <field field_ref="clcalipso"  level="5" />
+                <field field_ref="clcalipsoice"  level="5" />
+                <field field_ref="clcalipsoliq"  level="5" />
+                <field field_ref="clcalipsoun"  level="5" />
+                <field field_ref="clcalipsotmp"  level="5" />
+                <field field_ref="clcalipsotmpice"  level="5" />
+                <field field_ref="clcalipsotmpliq"  level="5" />
+                <field field_ref="clcalipsotmpun"  level="5" />
+                <field field_ref="parasol_refl"  level="5" />
+                <field field_ref="parasol_crefl"  level="5" />
+                <field field_ref="Ncrefl"  level="5" />
        		    <field field_ref="cfad_lidarsr532"  level="10" />
                 <field field_ref="atb532" level="10" />
                 <field field_ref="beta_mol532" level="10" />
-                <field field_ref="clopaquecalipso"       level="1" />
-                <field field_ref="clthincalipso"         level="1" />
-                <field field_ref="clzopaquecalipso"      level="1" />
-                <field field_ref="clcalipsoopaque"   level="1" />
-                <field field_ref="clcalipsothin"     level="1" />
-                <field field_ref="clcalipsozopaque"  level="1" />
-                <field field_ref="clcalipsoopacity"  level="1" />
-                <field field_ref="proftemp"  level="1" />
-                <field field_ref="profSR"  level="1" />
+                <field field_ref="clopaquecalipso"       level="5" />
+                <field field_ref="clthincalipso"         level="5" />
+                <field field_ref="clzopaquecalipso"      level="5" />
+                <field field_ref="clcalipsoopaque"   level="5" />
+                <field field_ref="clcalipsothin"     level="5" />
+                <field field_ref="clcalipsozopaque"  level="5" />
+                <field field_ref="clcalipsoopacity"  level="5" />
+                <field field_ref="proftemp"  level="5" />
+                <field field_ref="profSR"  level="5" />
               </field_group>
              <!-- VARS CLOUDSAT et/ou Calipso -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true."> 
-               <field field_ref="cltlidarradar"  level="1"/>
-               <field field_ref="clcalipso2"  level="1" />
+               <field field_ref="cltlidarradar"  level="5"/>
+               <field field_ref="clcalipso2"  level="5" />
                <field field_ref="cfadDbze94"  level="10" />
                <field field_ref="dbze94" level="10" />
@@ -58,12 +58,12 @@
              <!-- VARS ISCCP -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="sunlit" level="1" />
-                <field field_ref="clisccp2" level="1" />
+                <field field_ref="sunlit" level="5" />
+                <field field_ref="clisccp2" level="5" />
                 <field field_ref="boxtauisccp" level="10" />
                 <field field_ref="boxptopisccp" level="10" />
-                <field field_ref="tclisccp" level="1" />
-                <field field_ref="ctpisccp" level="1" />
-                <field field_ref="tauisccp" level="1" /> 
-                <field field_ref="albisccp" level="1" />
+                <field field_ref="tclisccp" level="5" />
+                <field field_ref="ctpisccp" level="5" />
+                <field field_ref="tauisccp" level="5" /> 
+                <field field_ref="albisccp" level="5" />
                 <field field_ref="meantbisccp" level="10" />
                 <field field_ref="meantbclrisccp" level="10" />
@@ -71,25 +71,25 @@
              <!-- VARS MISR -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="clMISR" level="1" />
+                <field field_ref="clMISR" level="5" />
             </field_group>
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="cllmodis" level="1" />
-                <field field_ref="clmmodis" level="1" />
-                <field field_ref="clhmodis" level="1" />
-                <field field_ref="cltmodis" level="1" />
-                <field field_ref="clwmodis" level="1" />
-                <field field_ref="climodis" level="1" />
-                <field field_ref="tautmodis" level="1" />
-                <field field_ref="tauwmodis" level="1" />
-                <field field_ref="tauimodis" level="1" />
-                <field field_ref="tautlogmodis" level="1" />
-                <field field_ref="tauilogmodis" level="1" />
-                <field field_ref="tauwlogmodis" level="1" />
-                <field field_ref="reffclwmodis" level="1" />
-                <field field_ref="reffclimodis" level="1" />
-                <field field_ref="pctmodis"  level="1" />
-                <field field_ref="lwpmodis" level="1" />
-                <field field_ref="iwpmodis" level="1" />
-                <field field_ref="clmodis" level="1" />
+                <field field_ref="cllmodis" level="5" />
+                <field field_ref="clmmodis" level="5" />
+                <field field_ref="clhmodis" level="5" />
+                <field field_ref="cltmodis" level="5" />
+                <field field_ref="clwmodis" level="5" />
+                <field field_ref="climodis" level="5" />
+                <field field_ref="tautmodis" level="5" />
+                <field field_ref="tauwmodis" level="5" />
+                <field field_ref="tauimodis" level="5" />
+                <field field_ref="tautlogmodis" level="5" />
+                <field field_ref="tauilogmodis" level="5" />
+                <field field_ref="tauwlogmodis" level="5" />
+                <field field_ref="reffclwmodis" level="5" />
+                <field field_ref="reffclimodis" level="5" />
+                <field field_ref="pctmodis"  level="5" />
+                <field field_ref="lwpmodis" level="5" />
+                <field field_ref="iwpmodis" level="5" />
+                <field field_ref="clmodis" level="5" />
                 <field field_ref="crimodis" level="10" />
                 <field field_ref="crlmodis" level="10" />