Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3300)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3301)
@@ -246,46 +246,46 @@
 
                 <field_group operation="average" freq_op="1ts" detect_missing_value=".true.">
-                    <field field_ref="u850" level="7" />
-                    <field field_ref="u700" level="7" />
-                    <field field_ref="u500" level="7" />
-                    <field field_ref="u200" level="7" />
-                    <field field_ref="u100" level="7" />
-                    <field field_ref="u50" level="7" />
-                    <field field_ref="u10" level="7" />
-                    <field field_ref="v850" level="7" />
-                    <field field_ref="v700" level="7" />
-                    <field field_ref="v500" level="7" />
-                    <field field_ref="v200" level="7" />
-                    <field field_ref="v100" level="7" />
-                    <field field_ref="v50" level="7" />
-                    <field field_ref="v10" level="7" />
-                    <field field_ref="w850" level="7" />
-                    <field field_ref="w700" level="7" />
-                    <field field_ref="w500" level="7" />
-                    <field field_ref="w200" level="7" />
-                    <field field_ref="w100" level="7" />
-                    <field field_ref="w50" level="7" />
-                    <field field_ref="w10" level="7" />
-                    <field field_ref="t850" level="7" />
-                    <field field_ref="t700" level="7" />
-                    <field field_ref="t500" level="7" />
-                    <field field_ref="t200" level="7" />
-                    <field field_ref="t100" level="7" />
-                    <field field_ref="t50" level="7" />
-                    <field field_ref="t10" level="7" />
-                    <field field_ref="q850" level="7" />
-                    <field field_ref="q700" level="7" />
-                    <field field_ref="q500" level="7" />
-                    <field field_ref="q200" level="7" />
-                    <field field_ref="q100" level="7" />
-                    <field field_ref="q50" level="7" />
-                    <field field_ref="q10" level="7" />
-                    <field field_ref="z850" level="7" />
-                    <field field_ref="z700" level="7" />
-                    <field field_ref="z500" level="7" />
-                    <field field_ref="z200" level="7" />
-                    <field field_ref="z100" level="7" />
-                    <field field_ref="z50" level="7" />
-                    <field field_ref="z10" level="7" />
+                    <field field_ref="u850" level="10" />
+                    <field field_ref="u700" level="10" />
+                    <field field_ref="u500" level="10" />
+                    <field field_ref="u200" level="10" />
+                    <field field_ref="u100" level="10" />
+                    <field field_ref="u50" level="10" />
+                    <field field_ref="u10" level="10" />
+                    <field field_ref="v850" level="10" />
+                    <field field_ref="v700" level="10" />
+                    <field field_ref="v500" level="10" />
+                    <field field_ref="v200" level="10" />
+                    <field field_ref="v100" level="10" />
+                    <field field_ref="v50" level="10" />
+                    <field field_ref="v10" level="10" />
+                    <field field_ref="w850" level="10" />
+                    <field field_ref="w700" level="10" />
+                    <field field_ref="w500" level="10" />
+                    <field field_ref="w200" level="10" />
+                    <field field_ref="w100" level="10" />
+                    <field field_ref="w50" level="10" />
+                    <field field_ref="w10" level="10" />
+                    <field field_ref="t850" level="10" />
+                    <field field_ref="t700" level="10" />
+                    <field field_ref="t500" level="10" />
+                    <field field_ref="t200" level="10" />
+                    <field field_ref="t100" level="10" />
+                    <field field_ref="t50" level="10" />
+                    <field field_ref="t10" level="10" />
+                    <field field_ref="q850" level="10" />
+                    <field field_ref="q700" level="10" />
+                    <field field_ref="q500" level="10" />
+                    <field field_ref="q200" level="10" />
+                    <field field_ref="q100" level="10" />
+                    <field field_ref="q50" level="10" />
+                    <field field_ref="q10" level="10" />
+                    <field field_ref="z850" level="10" />
+                    <field field_ref="z700" level="10" />
+                    <field field_ref="z500" level="10" />
+                    <field field_ref="z200" level="10" />
+                    <field field_ref="z100" level="10" />
+                    <field field_ref="z50" level="10" />
+                    <field field_ref="z10" level="10" />
                 </field_group>
 
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3300)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3301)
@@ -240,46 +240,46 @@
 
                 <field_group operation="instant" freq_op="1ts" detect_missing_value=".true.">
-                    <field field_ref="u850" level="7" />
-                    <field field_ref="u700" level="7" />
-                    <field field_ref="u500" level="7" />
-                    <field field_ref="u200" level="7" />
-                    <field field_ref="u100" level="7" />
-                    <field field_ref="u50" level="7" />
-                    <field field_ref="u10" level="7" />
-                    <field field_ref="v850" level="7" />
-                    <field field_ref="v700" level="7" />
-                    <field field_ref="v500" level="7" />
-                    <field field_ref="v200" level="7" />
-                    <field field_ref="v100" level="7" />
-                    <field field_ref="v50" level="7" />
-                    <field field_ref="v10" level="7" />
-                    <field field_ref="w850" level="7" />
-                    <field field_ref="w700" level="7" />
-                    <field field_ref="w500" level="7" />
-                    <field field_ref="w200" level="7" />
-                    <field field_ref="w100" level="7" />
-                    <field field_ref="w50" level="7" />
-                    <field field_ref="w10" level="7" />
-                    <field field_ref="t850" level="7" />
-                    <field field_ref="t700" level="7" />
-                    <field field_ref="t500" level="7" />
-                    <field field_ref="t200" level="7" />
-                    <field field_ref="t100" level="7" />
-                    <field field_ref="t50" level="7" />
-                    <field field_ref="t10" level="7" />
-                    <field field_ref="q850" level="7" />
-                    <field field_ref="q700" level="7" />
-                    <field field_ref="q500" level="7" />
-                    <field field_ref="q200" level="7" />
-                    <field field_ref="q100" level="7" />
-                    <field field_ref="q50" level="7" />
-                    <field field_ref="q10" level="7" />
-                    <field field_ref="z850" level="7" />
-                    <field field_ref="z700" level="7" />
-                    <field field_ref="z500" level="7" />
-                    <field field_ref="z200" level="7" />
-                    <field field_ref="z100" level="7" />
-                    <field field_ref="z50" level="7" />
-                    <field field_ref="z10" level="7" />
+                    <field field_ref="u850" level="10" />
+                    <field field_ref="u700" level="10" />
+                    <field field_ref="u500" level="10" />
+                    <field field_ref="u200" level="10" />
+                    <field field_ref="u100" level="10" />
+                    <field field_ref="u50" level="10" />
+                    <field field_ref="u10" level="10" />
+                    <field field_ref="v850" level="10" />
+                    <field field_ref="v700" level="10" />
+                    <field field_ref="v500" level="10" />
+                    <field field_ref="v200" level="10" />
+                    <field field_ref="v100" level="10" />
+                    <field field_ref="v50" level="10" />
+                    <field field_ref="v10" level="10" />
+                    <field field_ref="w850" level="10" />
+                    <field field_ref="w700" level="10" />
+                    <field field_ref="w500" level="10" />
+                    <field field_ref="w200" level="10" />
+                    <field field_ref="w100" level="10" />
+                    <field field_ref="w50" level="10" />
+                    <field field_ref="w10" level="10" />
+                    <field field_ref="t850" level="10" />
+                    <field field_ref="t700" level="10" />
+                    <field field_ref="t500" level="10" />
+                    <field field_ref="t200" level="10" />
+                    <field field_ref="t100" level="10" />
+                    <field field_ref="t50" level="10" />
+                    <field field_ref="t10" level="10" />
+                    <field field_ref="q850" level="10" />
+                    <field field_ref="q700" level="10" />
+                    <field field_ref="q500" level="10" />
+                    <field field_ref="q200" level="10" />
+                    <field field_ref="q100" level="10" />
+                    <field field_ref="q50" level="10" />
+                    <field field_ref="q10" level="10" />
+                    <field field_ref="z850" level="10" />
+                    <field field_ref="z700" level="10" />
+                    <field field_ref="z500" level="10" />
+                    <field field_ref="z200" level="10" />
+                    <field field_ref="z100" level="10" />
+                    <field field_ref="z50" level="10" />
+                    <field field_ref="z10" level="10" />
                 </field_group>
 
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3300)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3301)
@@ -281,46 +281,46 @@
 
                 <field_group operation="average" freq_op="1ts" detect_missing_value=".true.">
-                    <field field_ref="u850" level="1" />
-                    <field field_ref="u700" level="1" />
-                    <field field_ref="u500" level="1" />
-                    <field field_ref="u200" level="1" />
-                    <field field_ref="u100" level="1" />
-                    <field field_ref="u50" level="1" />
-                    <field field_ref="u10" level="1" />
-                    <field field_ref="v850" level="1" />
-                    <field field_ref="v700" level="1" />
-                    <field field_ref="v500" level="1" />
-                    <field field_ref="v200" level="1" />
-                    <field field_ref="v100" level="1" />
-                    <field field_ref="v50" level="1" />
-                    <field field_ref="v10" level="1" />
-                    <field field_ref="w850" level="1" />
-                    <field field_ref="w700" level="1" />
-                    <field field_ref="w500" level="1" />
-                    <field field_ref="w200" level="1" />
-                    <field field_ref="w100" level="1" />
-                    <field field_ref="w50" level="1" />
-                    <field field_ref="w10" level="1" />
-                    <field field_ref="t850" level="1" />
-                    <field field_ref="t700" level="1" />
-                    <field field_ref="t500" level="1" />
-                    <field field_ref="t200" level="1" />
-                    <field field_ref="t100" level="1" />
-                    <field field_ref="t50" level="1" />
-                    <field field_ref="t10" level="1" />
-                    <field field_ref="q850" level="1" />
-                    <field field_ref="q700" level="1" />
-                    <field field_ref="q500" level="1" />
-                    <field field_ref="q200" level="1" />
-                    <field field_ref="q100" level="1" />
-                    <field field_ref="q50" level="1" />
-                    <field field_ref="q10" level="1" />
-                    <field field_ref="z850" level="1" />
-                    <field field_ref="z700" level="1" />
-                    <field field_ref="z500" level="1" />
-                    <field field_ref="z200" level="1" />
-                    <field field_ref="z100" level="1" />
-                    <field field_ref="z50" level="1" />
-                    <field field_ref="z10" level="1" />
+                    <field field_ref="u850" level="10" />
+                    <field field_ref="u700" level="10" />
+                    <field field_ref="u500" level="10" />
+                    <field field_ref="u200" level="10" />
+                    <field field_ref="u100" level="10" />
+                    <field field_ref="u50" level="10" />
+                    <field field_ref="u10" level="10" />
+                    <field field_ref="v850" level="10" />
+                    <field field_ref="v700" level="10" />
+                    <field field_ref="v500" level="10" />
+                    <field field_ref="v200" level="10" />
+                    <field field_ref="v100" level="10" />
+                    <field field_ref="v50" level="10" />
+                    <field field_ref="v10" level="10" />
+                    <field field_ref="w850" level="10" />
+                    <field field_ref="w700" level="10" />
+                    <field field_ref="w500" level="10" />
+                    <field field_ref="w200" level="10" />
+                    <field field_ref="w100" level="10" />
+                    <field field_ref="w50" level="10" />
+                    <field field_ref="w10" level="10" />
+                    <field field_ref="t850" level="10" />
+                    <field field_ref="t700" level="10" />
+                    <field field_ref="t500" level="10" />
+                    <field field_ref="t200" level="10" />
+                    <field field_ref="t100" level="10" />
+                    <field field_ref="t50" level="10" />
+                    <field field_ref="t10" level="10" />
+                    <field field_ref="q850" level="10" />
+                    <field field_ref="q700" level="10" />
+                    <field field_ref="q500" level="10" />
+                    <field field_ref="q200" level="10" />
+                    <field field_ref="q100" level="10" />
+                    <field field_ref="q50" level="10" />
+                    <field field_ref="q10" level="10" />
+                    <field field_ref="z850" level="10" />
+                    <field field_ref="z700" level="10" />
+                    <field field_ref="z500" level="10" />
+                    <field field_ref="z200" level="10" />
+                    <field field_ref="z100" level="10" />
+                    <field field_ref="z50" level="10" />
+                    <field field_ref="z10" level="10" />
                 </field_group>
 