Index: /LMDZ6/trunk/libf/phylmd/clesphys.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/clesphys.h	(revision 3316)
+++ /LMDZ6/trunk/libf/phylmd/clesphys.h	(revision 3317)
@@ -8,5 +8,6 @@
 !..include cles_phys.h
 !
-       LOGICAL cycle_diurne,soil_model,new_oliq,ok_orodr,ok_orolf 
+       INTEGER iflag_cycle_diurne
+       LOGICAL soil_model,new_oliq,ok_orodr,ok_orolf 
        LOGICAL ok_limitvrai
        LOGICAL ok_all_xml
@@ -120,5 +121,5 @@
 ! THEN INTEGER AND LOGICALS
      &     , top_height                                                 &
-     &     , cycle_diurne, soil_model, new_oliq                         &
+     &     , iflag_cycle_diurne, soil_model, new_oliq                         &
      &     , ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad                &
      &     , iflag_con, nbapp_cv, nbapp_wk                              &
Index: /LMDZ6/trunk/libf/phylmd/conf_phys_m.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3316)
+++ /LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3317)
@@ -213,5 +213,6 @@
     LOGICAL,SAVE :: ok_lic_cond_omp
     !
-    LOGICAL,SAVE  :: cycle_diurne_omp,soil_model_omp,new_oliq_omp
+    INTEGER,SAVE  :: iflag_cycle_diurne_omp
+    LOGICAL,SAVE  :: soil_model_omp,new_oliq_omp
     LOGICAL,SAVE  :: ok_orodr_omp, ok_orolf_omp, ok_limitvrai_omp
     INTEGER, SAVE :: nbapp_rad_omp, iflag_con_omp
@@ -719,11 +720,11 @@
     ! Constantes precedemment dans dyn3d/conf_gcm
 
-    !Config  Key  = cycle_diurne
-    !Config  Desc = Cycle ddiurne
-    !Config  Def  = y
+    !Config  Key  = iflag_cycle_diurne
+    !Config  Desc = Cycle diurne
+    !Config  Def  = 1
     !Config  Help = Cette option permet d'eteidre le cycle diurne.
     !Config         Peut etre util pour accelerer le code !
-    cycle_diurne_omp = .TRUE.
-    CALL getin('cycle_diurne',cycle_diurne_omp)
+    iflag_cycle_diurne_omp = 1
+    CALL getin('iflag_cycle_diurne',iflag_cycle_diurne_omp)
 
     !Config  Key  = soil_model
@@ -2165,5 +2166,5 @@
     RCFC12_per = RCFC12_per_omp
 
-    cycle_diurne = cycle_diurne_omp
+    iflag_cycle_diurne = iflag_cycle_diurne_omp
     soil_model = soil_model_omp
     new_oliq = new_oliq_omp
@@ -2526,5 +2527,5 @@
     write(lunout,*)'ok_lic_melt=', ok_lic_melt
     write(lunout,*)'ok_lic_cond=', ok_lic_cond
-    write(lunout,*)'cycle_diurne=',cycle_diurne
+    write(lunout,*)'iflag_cycle_diurne=',iflag_cycle_diurne
     write(lunout,*)'soil_model=',soil_model
     write(lunout,*)'new_oliq=',new_oliq
Index: /LMDZ6/trunk/libf/phylmd/phyetat0.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyetat0.F90	(revision 3316)
+++ /LMDZ6/trunk/libf/phylmd/phyetat0.F90	(revision 3317)
@@ -121,5 +121,5 @@
   tab_cntrl(6)=nbapp_rad
 
-  if (cycle_diurne) tab_cntrl( 7) =1.
+  if (iflag_cycle_diurne.GE.1) tab_cntrl( 7) = iflag_cycle_diurne
   if (soil_model) tab_cntrl( 8) =1.
   if (new_oliq) tab_cntrl( 9) =1.
Index: /LMDZ6/trunk/libf/phylmd/phyredem.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyredem.F90	(revision 3316)
+++ /LMDZ6/trunk/libf/phylmd/phyredem.F90	(revision 3317)
@@ -91,5 +91,5 @@
   tab_cntrl(6) = nbapp_rad
 
-  IF( cycle_diurne ) tab_cntrl( 7 ) = 1.
+  IF( iflag_cycle_diurne.GE.1 ) tab_cntrl( 7 ) = iflag_cycle_diurne
   IF(   soil_model ) tab_cntrl( 8 ) = 1.
   IF(     new_oliq ) tab_cntrl( 9 ) = 1.
Index: /LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3316)
+++ /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3317)
@@ -341,8 +341,8 @@
     INTEGER igout
     !======================================================================
-    ! Clef controlant l'activation du cycle diurne:
+    ! Clef iflag_cycle_diurne controlant l'activation du cycle diurne:
     ! en attente du codage des cles par Fred
-    INTEGER iflag_cycle_diurne
-    PARAMETER (iflag_cycle_diurne=1)
+    ! iflag_cycle_diurne est initialise par conf_phys et se trouve 
+    ! dans clesphys.h (IM)
     !======================================================================
     ! Modele thermique du sol, a activer pour le cycle diurne:
@@ -1362,5 +1362,5 @@
        print*,'iflag_coupl,iflag_clos,iflag_wake', &
             iflag_coupl,iflag_clos,iflag_wake
-       print*,'iflag_CYCLE_DIURNE', iflag_cycle_diurne
+       print*,'iflag_cycle_diurne', iflag_cycle_diurne
        !
        IF (iflag_con.EQ.2.AND.iflag_cld_th.GT.-1) THEN
@@ -3743,5 +3743,5 @@
           !
 !IM 251017 begin
-                print*,'physiq betaCRF global zdtime=',zdtime
+!               print*,'physiq betaCRF global zdtime=',zdtime
 !IM 251017 end
           DO k=1, klev
Index: /LMDZ6/trunk/libf/phylmd/printflag.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/printflag.F90	(revision 3316)
+++ /LMDZ6/trunk/libf/phylmd/printflag.F90	(revision 3317)
@@ -30,5 +30,5 @@
     &  ************'
   PRINT 100
-  PRINT 10, cycle_diurne, soil_model
+  PRINT 10, iflag_cycle_diurne.GE.1, soil_model
   PRINT 100
 
@@ -97,7 +97,7 @@
   END IF
 
-  IF (cycle_diurn0 .AND. .NOT. cycle_diurne .OR. .NOT. cycle_diurn0 .AND. &
-      cycle_diurne) THEN
-    PRINT 13, cycle_diurn0, cycle_diurne
+  IF (cycle_diurn0 .AND. .NOT. (iflag_cycle_diurne.GE.1) .OR. .NOT. cycle_diurn0 .AND. &
+      (iflag_cycle_diurne.GE.1) ) THEN
+    PRINT 13, cycle_diurn0, iflag_cycle_diurne
     PRINT 100
   END IF
Index: /LMDZ6/trunk/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 3316)
+++ /LMDZ6/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 3317)
@@ -185,5 +185,5 @@
 !--old parametrizations of ocean surface albedo
 !
-    IF (cycle_diurne) THEN
+    IF (iflag_cycle_diurne.GE.1) THEN
 !
        CALL alboc_cd(rmu0,alb_eau)