Index: LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3332)
+++ LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3346)
@@ -29,8 +29,4 @@
                 <field field_ref="t2m_oce" level="6" />
                 <field field_ref="t2m_sic" level="6" />
-                <field field_ref="treedrg_ter" level="6" />
-                <field field_ref="treedrg_lic" level="6" />
-                <field field_ref="treedrg_oce" level="6" />
-                <field field_ref="treedrg_sic" level="6" />
                 <field field_ref="gusts" level="1" />
                 <field field_ref="wind10m" level="1" />
@@ -308,21 +304,4 @@
                 <field field_ref="tpot" level="5" />
                 <field field_ref="tpote" level="5" />
-                <field field_ref="tke" level="10" />
-                <field field_ref="tke_ter" level="4" />
-                <field field_ref="tke_lic" level="4" />
-                <field field_ref="tke_oce" level="4" />
-                <field field_ref="tke_sic" level="4" />
-                <field field_ref="tke_max_ter" level="4" operation="maximum" />
-                <field field_ref="tke_max_lic" level="4" operation="maximum" />
-                <field field_ref="tke_max_oce" level="4" operation="maximum" />
-                <field field_ref="tke_max_sic" level="4" operation="maximum" />
-                <field field_ref="l_mix_ter" level="10" />
-                <field field_ref="l_mix_lic" level="10" />
-                <field field_ref="l_mix_oce" level="10" />
-                <field field_ref="l_mix_sic" level="10" />
-                <field field_ref="l_mixmin_ter" level="10" />
-                <field field_ref="l_mixmin_lic" level="10" />
-                <field field_ref="l_mixmin_oce" level="10" />
-                <field field_ref="l_mixmin_sic" level="10" />
                 <field field_ref="SWnetOR" level="10" />
                 <field field_ref="LWdownOR" level="10" />
@@ -399,5 +378,4 @@
                 <field field_ref="lcc" level="6" />
                 <field field_ref="wvapp" level="10" />
-                <field field_ref="ozone_daylight" level="10" />
                 <field field_ref="albe_ter" level="7" />
                 <field field_ref="albe_lic" level="7" />
@@ -629,4 +607,26 @@
                 <field field_ref="rsdcs4co2" level="10" />
                 <field field_ref="rldcs4co2" level="10" />
+                <field field_ref="treedrg_ter" level="6" />
+                <field field_ref="treedrg_lic" level="6" />
+                <field field_ref="treedrg_oce" level="6" />
+                <field field_ref="treedrg_sic" level="6" />
+                <field field_ref="tke" level="10" />
+                <field field_ref="tke_ter" level="4" />
+                <field field_ref="tke_lic" level="4" />
+                <field field_ref="tke_oce" level="4" />
+                <field field_ref="tke_sic" level="4" />
+                <field field_ref="tke_max_ter" level="4" operation="maximum" />
+                <field field_ref="tke_max_lic" level="4" operation="maximum" />
+                <field field_ref="tke_max_oce" level="4" operation="maximum" />
+                <field field_ref="tke_max_sic" level="4" operation="maximum" />
+                <field field_ref="l_mix_ter" level="10" />
+                <field field_ref="l_mix_lic" level="10" />
+                <field field_ref="l_mix_oce" level="10" />
+                <field field_ref="l_mix_sic" level="10" />
+                <field field_ref="l_mixmin_ter" level="10" />
+                <field field_ref="l_mixmin_lic" level="10" />
+                <field field_ref="l_mixmin_oce" level="10" />
+                <field field_ref="l_mixmin_sic" level="10" />
+                <field field_ref="ozone_daylight" level="10" />
             </field_group>
         </file>
Index: LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 3332)
+++ LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 3346)
@@ -29,8 +29,4 @@
                 <field field_ref="t2m_oce" level="10" />
                 <field field_ref="t2m_sic" level="10" />
-                <field field_ref="treedrg_ter" level="5" />
-                <field field_ref="treedrg_lic" level="5" />
-                <field field_ref="treedrg_oce" level="5" />
-                <field field_ref="treedrg_sic" level="5" />
                 <field field_ref="gusts" level="10" />
                 <field field_ref="wind10m" level="10" />
@@ -306,21 +302,4 @@
                 <field field_ref="tpot" level="10" />
                 <field field_ref="tpote" level="10" />
-                <field field_ref="tke" level="5" />
-                <field field_ref="tke_ter" level="10" />
-                <field field_ref="tke_lic" level="10" />
-                <field field_ref="tke_oce" level="10" />
-                <field field_ref="tke_sic" level="10" />
-                <field field_ref="tke_max_ter" level="10" operation="maximum" />
-                <field field_ref="tke_max_lic" level="10" operation="maximum" />
-                <field field_ref="tke_max_oce" level="10" operation="maximum" />
-                <field field_ref="tke_max_sic" level="10" operation="maximum" />
-                <field field_ref="l_mix_ter" level="10" />
-                <field field_ref="l_mix_lic" level="10" />
-                <field field_ref="l_mix_oce" level="10" />
-                <field field_ref="l_mix_sic" level="10" />
-                <field field_ref="l_mixmin_ter" level="10" />
-                <field field_ref="l_mixmin_lic" level="10" />
-                <field field_ref="l_mixmin_oce" level="10" />
-                <field field_ref="l_mixmin_sic" level="10" />
                 <field field_ref="SWnetOR" level="10" />
                 <field field_ref="LWdownOR" level="10" />
@@ -390,5 +369,4 @@
                 <field field_ref="lcc" level="10" />
                 <field field_ref="wvapp" level="10" />
-                <field field_ref="ozone_daylight" level="10" />
                 <field field_ref="albe_ter" level="7" />
                 <field field_ref="albe_lic" level="7" />
@@ -650,4 +628,26 @@
                 <field field_ref="rsdcs4co2" level="10" />
                 <field field_ref="rldcs4co2" level="10" />
+                <field field_ref="treedrg_ter" level="5" />
+                <field field_ref="treedrg_lic" level="5" />
+                <field field_ref="treedrg_oce" level="5" />
+                <field field_ref="treedrg_sic" level="5" />
+                <field field_ref="tke" level="5" />
+                <field field_ref="tke_ter" level="10" />
+                <field field_ref="tke_lic" level="10" />
+                <field field_ref="tke_oce" level="10" />
+                <field field_ref="tke_sic" level="10" />
+                <field field_ref="tke_max_ter" level="10" operation="maximum" />
+                <field field_ref="tke_max_lic" level="10" operation="maximum" />
+                <field field_ref="tke_max_oce" level="10" operation="maximum" />
+                <field field_ref="tke_max_sic" level="10" operation="maximum" />
+                <field field_ref="l_mix_ter" level="10" />
+                <field field_ref="l_mix_lic" level="10" />
+                <field field_ref="l_mix_oce" level="10" />
+                <field field_ref="l_mix_sic" level="10" />
+                <field field_ref="l_mixmin_ter" level="10" />
+                <field field_ref="l_mixmin_lic" level="10" />
+                <field field_ref="l_mixmin_oce" level="10" />
+                <field field_ref="l_mixmin_sic" level="10" />
+                <field field_ref="ozone_daylight" level="10" />
             </field_group>
 
Index: LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3332)
+++ LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3346)
@@ -58,8 +58,4 @@
                 <field field_ref="t2m_oce" level="10" />
                 <field field_ref="t2m_sic" level="10" />
-                <field field_ref="treedrg_ter" level="10" />
-                <field field_ref="treedrg_lic" level="10" />
-                <field field_ref="treedrg_oce" level="10" />
-                <field field_ref="treedrg_sic" level="10" />
                 <field field_ref="gusts" level="1" />
                 <field field_ref="wind10m" level="1" />
@@ -339,21 +335,4 @@
                 <field field_ref="tpot" level="10" />
                 <field field_ref="tpote" level="10" />
-                <field field_ref="tke" level="7" />
-                <field field_ref="tke_ter" level="10" />
-                <field field_ref="tke_lic" level="10" />
-                <field field_ref="tke_oce" level="10" />
-                <field field_ref="tke_sic" level="10" />
-                <field field_ref="tke_max_ter" level="10" operation="maximum" />
-                <field field_ref="tke_max_lic" level="10" operation="maximum" />
-                <field field_ref="tke_max_oce" level="10" operation="maximum" />
-                <field field_ref="tke_max_sic" level="10" operation="maximum" />
-                <field field_ref="l_mix_ter" level="10" />
-                <field field_ref="l_mix_lic" level="10" />
-                <field field_ref="l_mix_oce" level="10" />
-                <field field_ref="l_mix_sic" level="10" />
-                <field field_ref="l_mixmin_ter" level="10" />
-                <field field_ref="l_mixmin_lic" level="10" />
-                <field field_ref="l_mixmin_oce" level="10" />
-                <field field_ref="l_mixmin_sic" level="10" />
                 <field field_ref="SWnetOR" level="10" />
                 <field field_ref="LWdownOR" level="10" />
@@ -443,5 +422,4 @@
                 <field field_ref="lcc" level="11" />
                 <field field_ref="wvapp" level="2" />
-                <field field_ref="ozone_daylight" level="2" />
                 <field field_ref="albe_ter" level="3" />
                 <field field_ref="albe_lic" level="3" />
@@ -673,4 +651,26 @@
                 <field field_ref="rsdcs4co2" level="10" />
                 <field field_ref="rldcs4co2" level="10" />
+                <field field_ref="treedrg_ter" level="10" />
+                <field field_ref="treedrg_lic" level="10" />
+                <field field_ref="treedrg_oce" level="10" />
+                <field field_ref="treedrg_sic" level="10" />
+                <field field_ref="tke" level="7" />
+                <field field_ref="tke_ter" level="10" />
+                <field field_ref="tke_lic" level="10" />
+                <field field_ref="tke_oce" level="10" />
+                <field field_ref="tke_sic" level="10" />
+                <field field_ref="tke_max_ter" level="10" operation="maximum" />
+                <field field_ref="tke_max_lic" level="10" operation="maximum" />
+                <field field_ref="tke_max_oce" level="10" operation="maximum" />
+                <field field_ref="tke_max_sic" level="10" operation="maximum" />
+                <field field_ref="l_mix_ter" level="10" />
+                <field field_ref="l_mix_lic" level="10" />
+                <field field_ref="l_mix_oce" level="10" />
+                <field field_ref="l_mix_sic" level="10" />
+                <field field_ref="l_mixmin_ter" level="10" />
+                <field field_ref="l_mixmin_lic" level="10" />
+                <field field_ref="l_mixmin_oce" level="10" />
+                <field field_ref="l_mixmin_sic" level="10" />
+                <field field_ref="ozone_daylight" level="2" />
             </field_group>
 